Package org.eclipse.ecf.provider.r_osgi.identity

## Class R_OSGiRemoteServiceNamespace

- java.lang.Object
- - org.eclipse.ecf.core.identity.Namespace
  - - org.eclipse.ecf.provider.r_osgi.identity.R_OSGiRemoteServiceNamespace

All Implemented Interfaces:
  `Serializable`, `org.eclipse.core.runtime.IAdaptable`

    public class R_OSGiRemoteServiceNamespace
    extends Namespace

Since:
  3.0
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `NAME`

### Fields inherited from class org.eclipse.ecf.core.identity.Namespace

`SCHEME_SEPARATOR`

### Constructor Summary

Constructors
`R_OSGiRemoteServiceNamespace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `createInstance​(Object[] parameters)` Make an instance of this namespace.
`String` `getScheme()` Get the primary scheme associated with this namespace.

### Methods inherited from class org.eclipse.ecf.core.identity.Namespace

`equals, getAdapter, getCompareToForObject, getDescription, getHashCodeForID, getInitStringFromExternalForm, getName, getNameForID, getSupportedParameterTypes, getSupportedSchemes, hashCode, initialize, testIDEquals, toExternalForm, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### R_OSGiRemoteServiceNamespace

    public R_OSGiRemoteServiceNamespace()

### Method Detail

#### createInstance

    public ID createInstance​(Object[] parameters)
                      throws IDCreateException

Description copied from class: `Namespace`
Make an instance of this namespace. Namespace subclasses, provided by plugins must implement this method to construct ID instances for the given namespace.

See `Namespace.getSupportedParameterTypes()` to get information relevant to deciding what parameter types are expected by this method.

Specified by:
  `createInstance` in class `Namespace`
Parameters:
  `parameters` - an Object[] of parameters for creating ID instances. May be null.
Returns:
  a non-null ID instance. The class used may extend BaseID or may implement the ID interface directly
Throws:
  `IDCreateException` - if construction fails

#### getScheme

    public String getScheme()

Description copied from class: `Namespace`
Get the primary scheme associated with this namespace. Subclasses must provide an implementation that returns a non-`null` scheme identifier. Note that the returned scheme should not contain the Namespace.SCHEME_SEPARATOR (\":\").

Specified by:
  `getScheme` in class `Namespace`
Returns:
  a String scheme identifier. Must not be `null`.